Tasks
Create, update, and delete tasks within a project. Tasks are managed at the project scope.
|
Endpoints
| POST | /api/v1/project/projects/{id}/tasks | Create a task |
| PATCH | /api/v1/project/projects/{id}/tasks/{tid} | Update a task |
| DELETE | /api/v1/project/projects/{id}/tasks/{tid} | Delete a task |
POST
/api/v1/project/projects/{id}/tasksCreate a task
Authentication required— Include session cookie or Bearer token
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | Optional | Project ID |
Code Examples
curl -X POST "https://api.blueai.jp/api/v1/project/projects/proj_123e4567e89b12d3a456426614174000/tasks" \
-H "Cookie: better-auth.session_token=<token>"PATCH
/api/v1/project/projects/{id}/tasks/{tid}Update a task
Authentication required— Include session cookie or Bearer token
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | Optional | Project ID |
tid | string | Optional | Task ID |
Code Examples
curl -X PATCH "https://api.blueai.jp/api/v1/project/projects/proj_123e4567e89b12d3a456426614174000/tasks/task_123e4567e89b12d3a456426614174000" \
-H "Cookie: better-auth.session_token=<token>"DELETE
/api/v1/project/projects/{id}/tasks/{tid}Delete a task
Authentication required— Include session cookie or Bearer token
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | Optional | Project ID |
tid | string | Optional | Task ID |
Code Examples
curl -X DELETE "https://api.blueai.jp/api/v1/project/projects/proj_123e4567e89b12d3a456426614174000/tasks/task_123e4567e89b12d3a456426614174000" \
-H "Cookie: better-auth.session_token=<token>"